package com.tzld.longarticle.recommend.server.common.enums;

import lombok.Getter;

import java.util.Objects;

@Getter
public enum RankStrategyEnum {
    ArticleRankV2("ArticleRankV2", "ArticleRankV2", "rankV2Strategy"),
    ArticleRankV3("ArticleRankV3", "ArticleRankV3", "rankV3Strategy"),

    default_strategy("ArticleRankV1", "默认策略", "defaultRankStrategy"),
    ;

    private final String strategy;
    private final String description;
    private final String taskExecutorName;

    RankStrategyEnum(String strategy, String description, String taskExecutorName) {
        this.strategy = strategy;
        this.description = description;
        this.taskExecutorName = taskExecutorName;
    }

    public static RankStrategyEnum from(String strategy) {
        for (RankStrategyEnum statusEnum : RankStrategyEnum.values()) {
            if (Objects.equals(statusEnum.strategy, strategy)) {
                return statusEnum;
            }
        }
        return default_strategy;
    }
}
